## ros-noetic-genmypy 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(genmypy)
find_package(catkin REQUIRED COMPONENTS genmsg genpy)

catkin_package(
  CATKIN_DEPENDS genmsg genpy
  CFG_EXTRAS genmypy-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genmypy "Python Stub")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genmypy
  DESTINATION ${GENMSG_LANGS_DESTINATION})

catkin_python_setup()

=== scripts/CMakeLists.txt ===
catkin_install_python(
  PROGRAMS genmypy
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-noetic-genmypy (0.3.1-1buster) buster; urgency=high

  * Use bytes for uint8[] field (#40 <https://github.com/rospypi/genmypy/issues/40>)
  * Use bytes in serialize/deserialize methods (#39 <https://github.com/rospypi/genmypy/issues/39>)
  * Generate type aliases for request_class and response_class (#37 <https://github.com/rospypi/genmypy/issues/37>)

 -- Yuki Igarashi <me@bonprosoft.com>  Sat, 08 May 2021 15:00:00 -0000

ros-noetic-genmypy (0.3.0-1buster) buster; urgency=high

  * Rename genpyi to genmypy (#35 <https://github.com/rospypi/genmypy/issues/35>)

 -- Yuki Igarashi <me@bonprosoft.com>  Tue, 04 May 2021 15:00:00 -0000

ros-noetic-genmypy (0.2.0-1buster) buster; urgency=high

  * Generate py.typed in catkin built packages (#30 <https://github.com/rospypi/genmypy/issues/30>)
  * Make package catkin compatible (#29 <https://github.com/rospypi/genmypy/issues/29>)

 -- Yuki Igarashi <me@bonprosoft.com>  Fri, 30 Apr 2021 15:00:00 -0000

ros-noetic-genmypy (0.1.0-1buster) buster; urgency=high

  * Initial commit

 -- Yuki Igarashi <me@bonprosoft.com>  Wed, 28 Apr 2021 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-genmypy
Section: misc
Priority: optional
Maintainer: Yuki Igarashi <me@bonprosoft.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin (>= 0.5.74), ros-noetic-genmsg, ros-noetic-genpy
Homepage: https://github.com/rospypi/genmypy
Standards-Version: 3.9.2

Package: ros-noetic-genmypy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-genmsg, ros-noetic-genpy
Description: Python stub generator from genmsg specs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-genmypy//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-genmypy 0.3.2

=== debian/changelog ===
ros-noetic-genmypy (0.3.2-1focal) focal; urgency=high

  * Need genpy init file to be generated before generating mypy module init file (#45 <https://github.com/rospypi/genmypy/issues/45>, thanks @mikaelarguedas!)
  * Upgrade dev dependencies (#46 <https://github.com/rospypi/genmypy/issues/46>)

 -- Yuki Igarashi <me@bonprosoft.com>  Fri, 07 Apr 2023 15:00:00 -0000

ros-noetic-genmypy (0.3.1-1focal) focal; urgency=high

  * Use bytes for uint8[] field (#40 <https://github.com/rospypi/genmypy/issues/40>)
  * Use bytes in serialize/deserialize methods (#39 <https://github.com/rospypi/genmypy/issues/39>)
  * Generate type aliases for request_class and response_class (#37 <https://github.com/rospypi/genmypy/issues/37>)

 -- Yuki Igarashi <me@bonprosoft.com>  Sat, 08 May 2021 15:00:00 -0000

ros-noetic-genmypy (0.3.0-1focal) focal; urgency=high

  * Rename genpyi to genmypy (#35 <https://github.com/rospypi/genmypy/issues/35>)

 -- Yuki Igarashi <me@bonprosoft.com>  Tue, 04 May 2021 15:00:00 -0000

ros-noetic-genmypy (0.2.0-1focal) focal; urgency=high

  * Generate py.typed in catkin built packages (#30 <https://github.com/rospypi/genmypy/issues/30>)
  * Make package catkin compatible (#29 <https://github.com/rospypi/genmypy/issues/29>)

 -- Yuki Igarashi <me@bonprosoft.com>  Fri, 30 Apr 2021 15:00:00 -0000

ros-noetic-genmypy (0.1.0-1focal) focal; urgency=high

  * Initial commit

 -- Yuki Igarashi <me@bonprosoft.com>  Wed, 28 Apr 2021 15:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
